Your current version is Health & Safety Xpert 2017 or older


If you are running Health & Safety Xpert v.1, v.2, v.3, v.4, v.5, 2015, 2016 or 2017 and want to get the latest version of Health & Safety Xpert you will need to upgrade online or call our Accounts Management Team on 0117 916 7892.

Health & Safety Xpert versions 1 to 5 are no longer supported as CDM regulations have changed significantly since these programs were replaced.

  • Support for Health & Safety Xpert v.2 ended 29th May 2010
  • Support for Health & Safety Xpert v.3 ended 27th September 2013
  • Support for Health & Safety Xpert v.4 ended 5th February 2017
  • Support for Health & Safety Xpert v.5 ended 1st August 2017
  • Support for Health & Safety Xpert 2015 ended 1st December 2018



Upgrade Now

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.

Modified on: Tue, 4 Dec, 2018 at 2:04 PM